/* File name     : int.h
 * Creation date : August 1995
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */

#define VME_INTR0 0
#define VME_INTR1 1
#define VME_INTR2 2
#define VME_INTR3 3
#define VME_INTR4 4
#define VME_INTR5 5
#define VME_INTR6 6
#define VME_INTR7 7
#define VME_INTR8 8
#define VME_INTR9 9
#define VME_MIN_VECTOR 0xf0
#define VME_MAX_VECTOR 0xf9
#define VME_TOTAL_VECTOR ( VME_MAX_VECTOR - VME_MIN_VECTOR + 1 )
#define VME_K_TIMEOUT 30 /* unit second */
#define PZERO 25

#define VMEIOC_INIT       _IOWR('v',1,int)
#define VMEIOC_OPEN       _IOWR('v',2,struct vmecmd)
#define VMEIOC_CLOSE      _IOWR('v',3,int)
#define VMEIOC_ENABLE     _IOWR('v',4,int)
#define VMEIOC_DISABLE    _IOWR('v',5,int)
#define VMEIOC_WAIT       _IOWR('v',6,struct vmecmd)
#define VMEIOC_NOWAIT     _IOWR('v',7,struct vmecmd)
#define VMEIOC_CLEAR      _IOWR('v',8,int)
#define VMEIOC_CHECK      _IOWR('v',9,struct vmecmd)

struct vmecmd {
    int intrno;
    int data;
    int reply[2];
};
